%define desktop_vendor newrpms
%{!?_dist: %{expand: %%define dist rhfc2}}

Summary:	GProFTPD -- A GTK+ administation tool for the ProFTPD server.
Name:		gproftpd
Version:	8.1.9
Release:	0.1.%{dist}.nr
Copyright:	GPL
Group:		Applications/System
URL:		http://mange.dynup.net/linux.html
Source0:	http://mange.dynup.net/linux/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_builddir}/%{name}-%{version}-root
Provides:	gproftpd gprostats

%description
GProFTPD is a fast and easy to use GTK+ administration tool for the proftpd standalone server.

%prep
%setup -q
%configure

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall INSTALL_USER=`id -un` INSTALL_GROUP=`id -gn`

# pam auth
install -d %{buildroot}%{_sysconfdir}/pam.d/
install -d %{buildroot}%{_sysconfdir}/security/console.apps
install -m 644 dists/redhat/pam.d/%{name} %{buildroot}%{_sysconfdir}/pam.d/%{name}
install -m 644 dists/redhat/security/console.apps/%{name} %{buildroot}%{_sysconfdir}/security/console.apps/%{name}

# desktop entry
install -d %{buildroot}%{_datadir}/applications
install -m 644 desktop/net-gproftpd.desktop %{buildroot}%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop

%find_lang %name

%post 
if test ! -h /usr/bin/gproftpd ; then \
ln -s /usr/bin/consolehelper /usr/bin/gproftpd ; \
fi ;

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(0755, root, root)
%{_sbindir}/%{name}
%{_sbindir}/gprostats
%defattr(0660, root, root)
%{_sysconfdir}/%{name}/%{name}.pem
%config %{_sysconfdir}/%{name}/gprotls.conf

%defattr(0644, root, root)
%doc COPYING AUTHORS ChangeLog NEWS
%{_sysconfdir}/pam.d/%{name}
%{_sysconfdir}/security/console.apps/%{name}
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%{_datadir}/pixmaps/*.png
%dir %{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}/*.png
%{_datadir}/pixmaps/%{name}/%{name}36.xpm

%changelog
* Tue Feb 15 2005 Magnus-swe <magnus-swe@telia.com>
- Fixed a security issue with gprostats
* Mon Feb 14 2005 Magnus-swe <magnus-swe@telia.com>
- Added function allocate()
- Its now clearly visible that it uses memset.
- Reuse address was set to 0.
- Fixed a zeroing of the local address in xfer_update.
* Wed Jun 09 2004 Magnus-swe <magnus-swe@telia.com>
- Moved the user importer to the server tab.
- Made everything translatable.
- Added Swedish translation.
- Improved the credits window.
* Mon May 31 2004 Che <che666@uni.de>
- Initial rpm release
